\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.3 - Approximation of Ridges and Umbilics on Triangulated Surface Meshes

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Member Functions
TriangulatedSurfaceMesh::Halfedge Concept Reference

## Definition

Opaque type representing a halfedge of the `TriangulatedSurfaceMesh` .

## Public Member Functions
Halfedge_const_handle | opposite () const
| the opposite halfedge.
Halfedge_const_handle | next () const
| the next halfedge around the facet.
Halfedge_const_handle | prev () const
| the previous halfedge around the facet.
bool | is_border_edge () const
| is true if `halfedge` or `halfedge.opposite()` is a border halfedge.
Vertex_const_handle | vertex () const
| the incident vertex of `halfedge`.
Facet_const_handle | facet () const
| the incident facet of `halfedge`. More...

## Member Function Documentation

Facet_const_handle TriangulatedSurfaceMesh::Halfedge::facet | ( | ) |  | const

the incident facet of `halfedge`.

If `halfedge` is a border halfedge the result is default construction of the handle.